Syncdaemon constantly restarts during API rollout: Client should support disconnection on the initial connection procedure

Bug #711211 reported by Facundo Batista on 2011-02-01
34
This bug affects 6 people
Affects Status Importance Assigned to Milestone
Ubuntu One Client
High
Ubuntu One Foundations+ team
ubuntuone-client (Ubuntu)
Medium
Ubuntu One Foundations+ team

Bug Description

In ActionQueue, in the _send_request_and_handle_errors method, connection lost error must be handled and just disconnect the client.

This is what happens right now (it should not generate the unknown error):

2011-02-01 09:17:37,871 - ubuntuone.SyncDaemon.EQ - DEBUG - push_event: SYS_STATE_CHANGED, args:(), kw:{'state': CHECK_VERSION (error=False connected=True online=False) Queue: WORKING Connection: With User With Network}
2011-02-01 09:17:38,056 - ubuntuone.SyncDaemon.StorageClient - INFO - Connection lost, reason: [Failure instance: Traceback (failure with no frames): <class 'OpenSSL.SSL.Error'>: [('SSL routines', 'SSL23_READ', 'ssl handshake failure')]
].
2011-02-01 09:17:38,057 - ubuntuone.SyncDaemon.EQ - DEBUG - push_event: SYS_UNKNOWN_ERROR, args:(), kw:{}

Related branches

Roman Yepishev (rye) on 2011-02-13
Changed in ubuntuone-client:
assignee: nobody → Ubuntu One Foundations+ team (ubuntuone-foundations+)
Roman Yepishev (rye) on 2011-04-06
summary: - Client should support disconnection on the initial connection procedure
+ Syncdaemon constantly restarts during API rollout: Client should support
+ disconnection on the initial connection procedure
Changed in ubuntuone-client:
status: Confirmed → In Progress
Changed in ubuntuone-client (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
assignee: nobody → Ubuntu One Foundations+ team (ubuntuone-foundations+)
milestone: none → ubuntu-11.04-beta-2
tags: added: u1-natty-beta
Changed in ubuntuone-client:
status: In Progress → Fix Committed
dobey (dobey) on 2011-04-11
Changed in ubuntuone-client:
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntuone-client - 1.6.0-0ubuntu1

---------------
ubuntuone-client (1.6.0-0ubuntu1) natty; urgency=low

  * New upstream release.
    - Avoid conflict when same file already exists locally (LP: #711389)
    - Must move fils to trash on deletion (LP: #690673)
    - Support disconnection during initial connect attempt (LP: #711211)
    - Log version number on startup (LP: #715455)
    - Memory usage too high (LP: #721483)
    - Unsubscribed folders show as synced, if they exist (LP: #741835)
    - gnome-settings-daemon crash in g_str_hash (LP: #744383)
    - Should not re-queue uploads directly (LP: #744608)
    - No feedback when creating folder from symlink fails (LP: #747299)
    - [FFE] Use API to set urgency from background process (LP: #747677)
    - Open control panel to volumes when quota exceeded (LP: #702176)
    - Set the launcher to urgent when quota exceeded (LP: #702183)
    - nautilus crash in g_str_hash (LP: #724882)
    - Disable/enable file sync is buggy (LP: #744980)

  [Chris Coulson]
  * gnome-settings-daemon crash in g_return_fail_if_warning (LP: #744980)
 -- Rodney Dawes <email address hidden> Sun, 10 Apr 2011 21:24:30 -0400

Changed in ubuntuone-client (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers